org.apache.http.params

## Class HttpAbstractParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean

Direct Known Subclasses:
  HttpConnectionParamBean, HttpProtocolParamBean, NIOReactorParamBean

Deprecated.
(4.3) use configuration classes provided 'org.apache.http.config' and 'org.apache.http.client.config'

    @Deprecated
    public abstract class HttpAbstractParamBean
    extends Object

Since:
  4.0

### Field Summary

Fields
`protected HttpParams` `params` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`HttpAbstractParamBean(HttpParams params)` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### params

    protected final HttpParams params

Deprecated.

### Constructor Detail

#### HttpAbstractParamBean

    public HttpAbstractParamBean(HttpParams params)

Deprecated.